<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DSKuntae" targetNamespace="http://tempuri.org/DSKuntae.xsd" xmlns:mstns="http://tempuri.org/DSKuntae.xsd" xmlns="http://tempuri.org/DSKuntae.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="gwcs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="gwcs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.FPJ0000.Properties.Settings.GlobalReference.Default.gwcs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="EETGW_HolydayRequestTableAdapter" GeneratorDataComponentClassName="EETGW_HolydayRequestTableAdapter" Name="EETGW_HolydayRequest" UserDataComponentName="EETGW_HolydayRequestTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectType="Unknown" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM EETGW_HolydayRequest
WHERE  (idx = @Original_idx)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_idx" ColumnName="idx" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO EETGW_HolydayRequest
               (gcode, uid, cate, sdate, edate, conf, Remark, wuid, wdate, Response, HolyReason, HolyBackup, HolyLocation, HolyDays, HolyTimes, sendmail, stime, etime, conf_id, conf_time)
VALUES  (@gcode,@uid,@cate,@sdate,@edate,@conf,@Remark,@wuid,@wdate,@Response,@HolyReason,@HolyBackup,@HolyLocation,@HolyDays,@HolyTimes,@sendmail,@stime,@etime,@conf_id,@conf_time);      
SELECT idx, gcode, uid, cate, sdate, edate, conf, Remark, wuid, wdate FROM EETGW_HolydayRequest WHERE (idx = SCOPE_IDENTITY()) ORDER BY conf, sdate DESC</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="uid" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="cate" ColumnName="cate" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sdate" ColumnName="sdate" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@sdate" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="edate" ColumnName="edate" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@edate" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="conf" ColumnName="conf" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@conf" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="conf" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Remark" ColumnName="Remark" DataSourceName="" DataTypeServer="varchar(255)" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="255" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="wuid" ColumnName="wuid" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="wdate" ColumnName="wdate" DataSourceName="" DataTypeServer="smalldatetime" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="4" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Response" ColumnName="Response" DataSourceName="" DataTypeServer="varchar(255)" DbType="AnsiString" Direction="Input" ParameterName="@Response" Precision="0" ProviderType="VarChar" Scale="0" Size="255" SourceColumn="Response" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyReason" ColumnName="HolyReason" DataSourceName="" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@HolyReason" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="HolyReason" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyBackup" ColumnName="HolyBackup" DataSourceName="" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@HolyBackup" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="HolyBackup" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyLocation" ColumnName="HolyLocation" DataSourceName="" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@HolyLocation" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="HolyLocation" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyDays" ColumnName="HolyDays" DataSourceName="" DataTypeServer="int" DbType="Double" Direction="Input" ParameterName="@HolyDays" Precision="0" ProviderType="Float" Scale="0" Size="8" SourceColumn="HolyDays" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyTimes" ColumnName="HolyTimes" DataSourceName="" DataTypeServer="float" DbType="Double" Direction="Input" ParameterName="@HolyTimes" Precision="0" ProviderType="Float" Scale="0" Size="8" SourceColumn="HolyTimes" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sendmail" ColumnName="sendmail" DataSourceName="" DataTypeServer="bit" DbType="Boolean" Direction="Input" ParameterName="@sendmail" Precision="0" ProviderType="Bit" Scale="0" Size="1" SourceColumn="sendmail" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="stime" ColumnName="stime" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@stime" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="stime" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="etime" ColumnName="etime" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@etime" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="etime" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="conf_id" ColumnName="conf_id" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@conf_id" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="conf_id" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="conf_time" ColumnName="conf_time" DataSourceName="" DataTypeServer="smalldatetime" DbType="DateTime" Direction="Input" ParameterName="@conf_time" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="4" SourceColumn="conf_time" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  EETGW_HolydayRequest.idx, EETGW_HolydayRequest.gcode, EETGW_HolydayRequest.uid, EETGW_HolydayRequest.cate, EETGW_HolydayRequest.sdate, 
               EETGW_HolydayRequest.edate, EETGW_HolydayRequest.Remark, EETGW_HolydayRequest.wuid, EETGW_HolydayRequest.wdate, vGroupUser.dept, vGroupUser.name, vGroupUser.grade, 
               vGroupUser.tel, vGroupUser.processs, EETGW_HolydayRequest.Response, EETGW_HolydayRequest.conf, EETGW_HolydayRequest.HolyReason, EETGW_HolydayRequest.HolyBackup, 
               EETGW_HolydayRequest.HolyLocation, EETGW_HolydayRequest.HolyDays, EETGW_HolydayRequest.HolyTimes, EETGW_HolydayRequest.sendmail, EETGW_HolydayRequest.stime, 
               EETGW_HolydayRequest.etime, EETGW_HolydayRequest.conf_id, EETGW_HolydayRequest.conf_time
FROM     EETGW_HolydayRequest WITH (nolock) LEFT OUTER JOIN
               vGroupUser ON EETGW_HolydayRequest.uid = vGroupUser.id AND EETGW_HolydayRequest.gcode = vGroupUser.gcode
WHERE  (EETGW_HolydayRequest.gcode = @gcode) AND (EETGW_HolydayRequest.sdate &gt;= @sd) AND (EETGW_HolydayRequest.sdate &lt;= @ed) AND (EETGW_HolydayRequest.uid LIKE @uid)
ORDER BY EETGW_HolydayRequest.conf, EETGW_HolydayRequest.sdate DESC</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.EETGW_HolydayRequest" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sd" ColumnName="sdate" DataSourceName="EE.dbo.EETGW_HolydayRequest" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@sd" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ed" ColumnName="sdate" DataSourceName="EE.dbo.EETGW_HolydayRequest" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@ed" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="uid" DataSourceName="EE.dbo.EETGW_HolydayRequest" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE EETGW_HolydayRequest
SET        gcode = @gcode, uid = @uid, cate = @cate, sdate = @sdate, edate = @edate, conf = @conf, Remark = @Remark, wuid = @wuid, wdate = @wdate, Response = @Response, 
               HolyReason = @HolyReason, HolyBackup = @HolyBackup, HolyLocation = @HolyLocation, HolyDays = @HolyDays, HolyTimes = @HolyTimes, sendmail = @sendmail, stime = @stime, 
               etime = @etime, conf_id = @conf_id, conf_time = @conf_time
WHERE  (idx = @Original_idx);        
SELECT idx, gcode, uid, cate, sdate, edate, conf, Remark, wuid, wdate FROM EETGW_HolydayRequest WHERE (idx = @idx) ORDER BY conf, sdate DESC</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="uid" ColumnName="uid" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@uid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="uid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="cate" ColumnName="cate" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sdate" ColumnName="sdate" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@sdate" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="edate" ColumnName="edate" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@edate" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="conf" ColumnName="conf" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@conf" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="conf" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Remark" ColumnName="Remark" DataSourceName="" DataTypeServer="varchar(255)" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="255" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="wuid" ColumnName="wuid" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="wdate" ColumnName="wdate" DataSourceName="" DataTypeServer="smalldatetime" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="4" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Response" ColumnName="Response" DataSourceName="" DataTypeServer="varchar(255)" DbType="AnsiString" Direction="Input" ParameterName="@Response" Precision="0" ProviderType="VarChar" Scale="0" Size="255" SourceColumn="Response" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyReason" ColumnName="HolyReason" DataSourceName="" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@HolyReason" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="HolyReason" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyBackup" ColumnName="HolyBackup" DataSourceName="" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@HolyBackup" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="HolyBackup" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyLocation" ColumnName="HolyLocation" DataSourceName="" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@HolyLocation" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="HolyLocation" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyDays" ColumnName="HolyDays" DataSourceName="" DataTypeServer="int" DbType="Double" Direction="Input" ParameterName="@HolyDays" Precision="0" ProviderType="Float" Scale="0" Size="8" SourceColumn="HolyDays" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="HolyTimes" ColumnName="HolyTimes" DataSourceName="" DataTypeServer="float" DbType="Double" Direction="Input" ParameterName="@HolyTimes" Precision="0" ProviderType="Float" Scale="0" Size="8" SourceColumn="HolyTimes" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sendmail" ColumnName="sendmail" DataSourceName="" DataTypeServer="bit" DbType="Boolean" Direction="Input" ParameterName="@sendmail" Precision="0" ProviderType="Bit" Scale="0" Size="1" SourceColumn="sendmail" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="stime" ColumnName="stime" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@stime" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="stime" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="etime" ColumnName="etime" DataSourceName="" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@etime" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="etime" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="conf_id" ColumnName="conf_id" DataSourceName="" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@conf_id" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="conf_id" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="conf_time" ColumnName="conf_time" DataSourceName="" DataTypeServer="smalldatetime" DbType="DateTime" Direction="Input" ParameterName="@conf_time" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="4" SourceColumn="conf_time" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_idx" ColumnName="idx" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="uid" DataSetColumn="uid" />
              <Mapping SourceColumn="cate" DataSetColumn="cate" />
              <Mapping SourceColumn="sdate" DataSetColumn="sdate" />
              <Mapping SourceColumn="edate" DataSetColumn="edate" />
              <Mapping SourceColumn="Remark" DataSetColumn="Remark" />
              <Mapping SourceColumn="wuid" DataSetColumn="wuid" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
              <Mapping SourceColumn="dept" DataSetColumn="dept" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="grade" DataSetColumn="grade" />
              <Mapping SourceColumn="tel" DataSetColumn="tel" />
              <Mapping SourceColumn="processs" DataSetColumn="processs" />
              <Mapping SourceColumn="Response" DataSetColumn="Response" />
              <Mapping SourceColumn="conf" DataSetColumn="conf" />
              <Mapping SourceColumn="HolyReason" DataSetColumn="HolyReason" />
              <Mapping SourceColumn="HolyBackup" DataSetColumn="HolyBackup" />
              <Mapping SourceColumn="HolyLocation" DataSetColumn="HolyLocation" />
              <Mapping SourceColumn="HolyDays" DataSetColumn="HolyDays" />
              <Mapping SourceColumn="HolyTimes" DataSetColumn="HolyTimes" />
              <Mapping SourceColumn="sendmail" DataSetColumn="sendmail" />
              <Mapping SourceColumn="stime" DataSetColumn="stime" />
              <Mapping SourceColumn="etime" DataSetColumn="etime" />
              <Mapping SourceColumn="conf_id" DataSetColumn="conf_id" />
              <Mapping SourceColumn="conf_time" DataSetColumn="conf_time" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DSKuntae" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DSKuntae" msprop:Generator_UserDSName="DSKuntae">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="EETGW_HolydayRequest" msprop:Generator_UserTableName="EETGW_HolydayRequest" msprop:Generator_RowEvArgName="EETGW_HolydayRequestRowChangeEvent" msprop:Generator_TableVarName="tableEETGW_HolydayRequest" msprop:Generator_TablePropName="EETGW_HolydayRequest" msprop:Generator_RowDeletingName="EETGW_HolydayRequestRowDeleting" msprop:Generator_RowChangingName="EETGW_HolydayRequestRowChanging" msprop:Generator_RowDeletedName="EETGW_HolydayRequestRowDeleted" msprop:Generator_RowEvHandlerName="EETGW_HolydayRequestRowChangeEventHandler" msprop:Generator_TableClassName="EETGW_HolydayRequestDataTable" msprop:Generator_RowChangedName="EETGW_HolydayRequestRowChanged" msprop:Generator_RowClassName="EETGW_HolydayRequestRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidx" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_UserColumnName="idx" type="xs:int" />
              <xs:element name="gcode" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_ColumnVarNameInTable="columngcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_UserColumnName="gcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="uid" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="uid" msprop:Generator_ColumnVarNameInTable="columnuid" msprop:Generator_ColumnPropNameInTable="uidColumn" msprop:Generator_UserColumnName="uid" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_ColumnVarNameInTable="columncate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:Generator_UserColumnName="cate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sdate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="sdate" msprop:Generator_ColumnVarNameInTable="columnsdate" msprop:Generator_ColumnPropNameInTable="sdateColumn" msprop:Generator_UserColumnName="sdate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="edate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="edate" msprop:Generator_ColumnVarNameInTable="columnedate" msprop:Generator_ColumnPropNameInTable="edateColumn" msprop:Generator_UserColumnName="edate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Remark" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Remark" msprop:Generator_ColumnVarNameInTable="columnRemark" msprop:Generator_ColumnPropNameInTable="RemarkColumn" msprop:Generator_UserColumnName="Remark" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wuid" msprop:Generator_ColumnVarNameInTable="columnwuid" msprop:Generator_ColumnPropNameInRow="wuid" msprop:Generator_ColumnPropNameInTable="wuidColumn" msprop:Generator_UserColumnName="wuid">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_UserColumnName="wdate" type="xs:dateTime" />
              <xs:element name="dept" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="dept" msprop:Generator_ColumnVarNameInTable="columndept" msprop:Generator_ColumnPropNameInTable="deptColumn" msprop:Generator_UserColumnName="dept" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_ColumnVarNameInTable="columnname" msprop:Generator_ColumnPropNameInTable="nameColumn" msprop:Generator_UserColumnName="name" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="grade" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="grade" msprop:Generator_ColumnVarNameInTable="columngrade" msprop:Generator_ColumnPropNameInTable="gradeColumn" msprop:Generator_UserColumnName="grade" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tel" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="tel" msprop:Generator_ColumnVarNameInTable="columntel" msprop:Generator_ColumnPropNameInTable="telColumn" msprop:Generator_UserColumnName="tel" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="processs" msdata:ReadOnly="true" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="processs" msprop:Generator_ColumnVarNameInTable="columnprocesss" msprop:Generator_ColumnPropNameInTable="processsColumn" msprop:Generator_UserColumnName="processs" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Response" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Response" msprop:Generator_ColumnVarNameInTable="columnResponse" msprop:Generator_ColumnPropNameInTable="ResponseColumn" msprop:Generator_UserColumnName="Response" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="conf" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="conf" msprop:Generator_ColumnVarNameInTable="columnconf" msprop:Generator_ColumnPropNameInTable="confColumn" msprop:Generator_UserColumnName="conf" type="xs:int" minOccurs="0" />
              <xs:element name="HolyReason" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="HolyReason" msprop:Generator_ColumnVarNameInTable="columnHolyReason" msprop:Generator_ColumnPropNameInTable="HolyReasonColumn" msprop:Generator_UserColumnName="HolyReason" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="HolyBackup" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="HolyBackup" msprop:Generator_ColumnVarNameInTable="columnHolyBackup" msprop:Generator_ColumnPropNameInTable="HolyBackupColumn" msprop:Generator_UserColumnName="HolyBackup" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="HolyLocation" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="HolyLocation" msprop:Generator_ColumnVarNameInTable="columnHolyLocation" msprop:Generator_ColumnPropNameInTable="HolyLocationColumn" msprop:Generator_UserColumnName="HolyLocation" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="HolyDays" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="HolyDays" msprop:Generator_ColumnVarNameInTable="columnHolyDays" msprop:Generator_ColumnPropNameInTable="HolyDaysColumn" msprop:Generator_UserColumnName="HolyDays" type="xs:double" minOccurs="0" />
              <xs:element name="HolyTimes" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="HolyTimes" msprop:Generator_ColumnVarNameInTable="columnHolyTimes" msprop:Generator_ColumnPropNameInTable="HolyTimesColumn" msprop:Generator_UserColumnName="HolyTimes" type="xs:double" minOccurs="0" />
              <xs:element name="sendmail" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="sendmail" msprop:Generator_ColumnVarNameInTable="columnsendmail" msprop:Generator_ColumnPropNameInTable="sendmailColumn" msprop:Generator_UserColumnName="sendmail" type="xs:boolean" minOccurs="0" />
              <xs:element name="stime" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="stime" msprop:Generator_ColumnVarNameInTable="columnstime" msprop:Generator_ColumnPropNameInTable="stimeColumn" msprop:Generator_UserColumnName="stime" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="etime" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="etime" msprop:Generator_ColumnVarNameInTable="columnetime" msprop:Generator_ColumnPropNameInTable="etimeColumn" msprop:Generator_UserColumnName="etime" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="conf_id" msprop:Generator_ColumnVarNameInTable="columnconf_id" msprop:Generator_ColumnPropNameInRow="conf_id" msprop:Generator_ColumnPropNameInTable="conf_idColumn" msprop:Generator_UserColumnName="conf_id" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="conf_time" msprop:Generator_ColumnVarNameInTable="columnconf_time" msprop:Generator_ColumnPropNameInRow="conf_time" msprop:Generator_ColumnPropNameInTable="conf_timeColumn" msprop:Generator_UserColumnName="conf_time" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:EETGW_HolydayRequest" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
  </xs:element>
</xs:schema>